Bug 166293 - panic gfs_inoded, at gfs_depend_add()
panic gfs_inoded, at gfs_depend_add()
Status: CLOSED DUPLICATE of bug 164324
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-18 16:00 EDT by Dean Jansa
Modified: 2010-01-11 22:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 18:48:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2005-08-18 16:00:13 EDT
While running the regression tests I hit the following panic while in the 
gnbd section of the tests.

(3 node cluster, link-13 exporting, link-14 importing)

[vs_gnbd] Exporting sdb1...
[vs_gnbd] gnbd_export sdb1...pass
[vs_gnbd] gnbd_import from link-13 to link-14...pass
[vs_gnbd]
[vs_gnbd] making the filesystems on link-14...
[vs_gnbd] mount -t gfs /dev/gnbd/sdb1 /mnt/gnbd
[vs_gnbd]
[vs_gnbd] Starting I/O...
[vs_gnbd] Getting /mnt/gnbd size from link-14
[vs_gnbd] Starting remote node IO...

It was running the mmap1 tag, which completed without an error, so the <pass>
section of the test case was run... ' rm -f mmap1'  This was the last thing
it ran before the panic.

<test tag="mmap1">
    <cmd> <![CDATA[
        iogen -i 30s -m sequential -s mmread,mmwrite -t 1b -T 40000b
40000b:mmap1 | doio -av
    ]]> </cmd>

    <pass> <![CDATA[
        rm -f mmap1
    ]]> </pass>
</test>


[link-14] <start tag="mmap1" pid="26225" time="Thu Aug 18 09:17:55 2005" type=""/>
[link-14] [mmap1]
[link-14] [mmap1] iogen starting up with the following:
[link-14] [mmap1]
[link-14] [mmap1] Out-pipe:              stdout
[link-14] [mmap1] Iterations:            30 seconds
[link-14] [mmap1] Seed:                  26227
[link-14] [mmap1] Offset-Mode:           sequential
[link-14] [mmap1] Overlap Flag:          off
[link-14] [mmap1] Mintrans:              512         (1 blocks)
[link-14] [mmap1] Maxtrans:              20480000    (40000 blocks)
[link-14] [mmap1] O_RAW/O_SSD Multiple:  (Determined by device)
[link-14] [mmap1] Syscalls:              mmread mmwrite
[link-14] [mmap1] Aio completion types:  none
[link-14] [mmap1] Flags:                 buffered sync
[link-14] [mmap1]
[link-14] [mmap1] Test Files:
[link-14] [mmap1]
[link-14] [mmap1] Path                                          Length    iou  
raw iou file
[link-14] [mmap1]                                               (bytes) (bytes)
(bytes) type
[link-14] [mmap1]
-----------------------------------------------------------------------------
[link-14] [mmap1] /mnt/gnbd/link-14/mmap1                      20480000       1
    512 regular
[link-14] <pass tag="mmap1" pid="26225", time="Thu Aug 18 09:18:26 2005"/>
[link-14] <start tag="mmap1" pid="26229" time="Thu Aug 18 09:18:26 2005"
type="pass"/>
[link-14] <ignore tag="mmap1" pid="26229" time="Thu Aug 18 09:18:39 2005"/>
[link-14] Read from remote host link-14: Connection reset by peer^M
<fail tag="link-14" pid="31399" time="Thu Aug 18 14:35:31 2005" ec="255"/>
ALL STOP!


-------------------------------------


Unable to handle kernel paging request at virtual address 0000000000200220
gfs_inoded[25844]: Oops 11012296146944 [1]
Modules linked in: lock_dlm(U) gnbd(U) lock_nolock(U) gfs(U) lock_harness(U)
dlm(U) cman(U) qla2xxx md5 ipv6 parport_pc lp parport autofs4 sunrpc vfat fat
dm_mod button ohci_hcd ehci_hcd tg3 e100 mii ext3 jbd lpfc scsi_transport_fc
mptscsih mptbase sd_mod scsi_mod

Pid: 25844, CPU 0, comm:           gfs_inoded
psr : 0000121008026038 ifs : 800000000000060e ip  : [<a0000002007b4ae1>]    Not
tainted
ip is at gfs_depend_add+0x341/0x4e0 [gfs]
unat: 0000000000000000 pfs : 000000000000060e rsc : 0000000000000003
rnat: 0000000000000000 bsps: 0000000000000000 pr  : 0000000000002a41
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70033f
csd : 0000000000000000 ssd : 0000000000000000
b0  : a0000002007b4ae0 b6  : a000000100015c40 b7  : a00000010000ed10
f6  : 1003e0000000000001400 f7  : 1003e8080808080808081
f8  : 1003e00000000000027d8 f9  : 1003e000000000ff00000
f10 : 1003e000000003b5f2d38 f11 : 1003e44b831eee7285baf
r1  : a00000010099d0d0 r2  : 000000000000060e r3  : e00000003f925280
r8  : 0000000000000000 r9  : a0007fffffff4fa0 r10 : a0007fffffff4f78
r11 : 000000000006e9ef r12 : e00000002f097ce0 r13 : e00000002f090000
r14 : 0000000000000000 r15 : 0000000000000036 r16 : 0000000000000088
r17 : 0000000000000012 r18 : 0000000000200200 r19 : 000000010a328b74
r20 : 000000000007e6c8 r21 : 000000000000fcd9 r22 : e00000002f090dd4
r23 : a0000001007b0000 r24 : a0000001007b0000 r25 : e00000002f097c50
r26 : 000000000000000e r27 : 0000000000000000 r28 : a0000002003f44c4
r29 : 00000000000384c4 r30 : 0000000000000000 r31 : a0000002003bc258

Call Trace:
 [<a000000100016a60>] show_stack+0x80/0xa0
                                sp=e00000002f097870 bsp=e00000002f091150
 [<a000000100017370>] show_regs+0x890/0x8c0
                                sp=e00000002f097a40 bsp=e00000002f091108
 [<a00000010003d7f0>] die+0x150/0x240
                                sp=e00000002f097a60 bsp=e00000002f0910c8
 [<a000000100060930>] ia64_do_page_fault+0x870/0xb80
                                sp=e00000002f097a60 bsp=e00000002f091060
 [<a00000010000f480>] ia64_leave_kernel+0x0/0x260
                                sp=e00000002f097b10 bsp=e00000002f091060
 [<a0000002007b4ae0>] gfs_depend_add+0x340/0x4e0 [gfs]
                                sp=e00000002f097ce0 bsp=e00000002f090fe8
 [<a00000020074b020>] gfs_wipe_buffers+0x5c0/0x920 [gfs]
                                sp=e00000002f097cf0 bsp=e00000002f090f70
 [<a0000002007b9f50>] gfs_difree+0x90/0xc0 [gfs]
                                sp=e00000002f097d00 bsp=e00000002f090f40
 [<a0000002007703a0>] gfs_inode_dealloc+0xb80/0xf60 [gfs]
                                sp=e00000002f097d00 bsp=e00000002f090ed8
 [<a0000002007c2650>] gfs_unlinked_dealloc+0x70/0x240 [gfs]
                                sp=e00000002f097e30 bsp=e00000002f090e88
 [<a0000002007433a0>] gfs_inoded+0x160/0x260 [gfs]
                                sp=e00000002f097e30 bsp=e00000002f090e38
 [<a000000100018930>] kernel_thread_helper+0x30/0x60
                                sp=e00000002f097e30 bsp=e00000002f090e10
 [<a000000100008c60>] start_kernel_thread+0x20/0x40
                                sp=e00000002f097e30 bsp=e00000002f090e10
Kernel panic - not syncing: Fatal exception

Looks like it may be a dup/related to: 164324 – gfs oops in gfs_wipe_buffers
Comment 1 Ben Marzinski 2005-08-29 18:48:43 EDT

*** This bug has been marked as a duplicate of 164324 ***

Note You need to log in before you can comment on or make changes to this bug.